/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.team.reports.web.ui.internal.utils.DOMUtils");

(function() {
	function getElementsByClass(rootNode, nodeTag, classToMatch) {
  		var result = [];
		
		var nodeElements = rootNode.getElementsByTagName(nodeTag);
		var len = nodeElements.length;
		
		for (i = 0; i < len; i++) {
			var nodeElem = nodeElements[i];
			if (dojo.hasClass(nodeElem, classToMatch)) {
				result.push(nodeElem);
			}
		}
		
		return result;
	}
	com.ibm.team.reports.web.ui.internal.utils.DOMUtils.getElementsByClass = getElementsByClass;
})();




