/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.view.widgets.InfoWidget"); //$NON-NLS-1$

dojo.require("dijit._Widget"); //$NON-NLS-1$
dojo.require("jazz.ui.HoverPopup"); //$NON-NLS-1$


(function() {
	

dojo.declare("com.ibm.team.apt.web.ui.internal.view.widgets.InfoWidget", //$NON-NLS-1$
			 [dijit._Widget], {

	_label: null,
	_text: null,

	constructor: function(args, parent){
		this._label= args.label;
		this._text= args.text;
	},
	
	// ---- widget implementation ------------------------------------------------------------------------------------------

	postCreate: function() {
		var $document= document;
		var container= $document.createElement("span"); //$NON-NLS-1$
		container.innerHTML= this._label;
		this.domNode.appendChild(container);
		var around= dojo.query(".infoAffordance", this.domNode)[0]; //$NON-NLS-1$
		if(!around) {
			around= this.domNode;
			dojo.addClass(container, "infoAffordance"); //$NON-NLS-1$
		}
		var params= {
			around: around,
			html: "<span>" + this._text + "</span>" //$NON-NLS-1$ //$NON-NLS-2$
		};
		new jazz.ui.HoverPopup(params);
	}
});

})();
