/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.common.WorkItem"); //$NON-NLS-1$

(function() {


dojo.declare("com.ibm.team.workitem.common.WorkItem", null, { //$NON-NLS-1$

	constructor: function(workItemDTO) {
		this.itemId= workItemDTO.itemId;
		this.itemType= workItemDTO.itemType;
		this.label= workItemDTO.label;
		this.iconURL= workItemDTO.iconURL;
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	itemId: null,
	itemType: null,
	label: null,
	iconURL: null,

	
	equals: function(other) {
		if (this === other)
			return true;

		if (this.declaredClass !== other.declaredClass)
			return false;
		
		return this.itemId == other.itemId;
	},

	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});


})();
