/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.ui.model.FieldTag"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.ui.model.EntryTag"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.planneditems.Columns"); //$NON-NLS-1$

(function() {
	
var Columns				= com.ibm.team.apt.web.ui.internal.view.plan.planneditems.Columns;
	
dojo.declare("com.ibm.team.apt.ui.model.FieldTag", //$NON-NLS-1$
			  com.ibm.team.apt.ui.model.EntryTag, {
	
	__index: -1,
	
	//--- API ----------------------------
	
	setIndex: function(index) {
		this.__index= index;
	},
	
	getIndex: function() {
		return this.__index;
	},

	__sentinel: null // terminates this class definition
});

com.ibm.team.apt.ui.model.FieldTag.OWNER= new com.ibm.team.apt.ui.model.FieldTag("com.ibm.team.apt.attribute.owner"); //$NON-NLS-1$
com.ibm.team.apt.ui.model.FieldTag.PRIORITY= new com.ibm.team.apt.ui.model.FieldTag("com.ibm.team.apt.attribute.planitem.priority"); //$NON-NLS-1$
com.ibm.team.apt.ui.model.FieldTag.COMPLEXITY= new com.ibm.team.apt.ui.model.FieldTag("com.ibm.team.apt.attribute.planitem.complexity"); //$NON-NLS-1$
com.ibm.team.apt.ui.model.FieldTag.DURATION= new com.ibm.team.apt.ui.model.FieldTag("com.ibm.team.apt.attribute.planitem.duration"); //$NON-NLS-1$
com.ibm.team.apt.ui.model.FieldTag.STATE= new com.ibm.team.apt.ui.model.FieldTag("com.ibm.team.apt.attribute.planitem.state"); //$NON-NLS-1$

})();
