/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2008. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.ui.internal.view.queryeditor.widgets.MessageWidget");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("com.ibm.team.workitem.web.client.util"); 


(function(){

var Util= com.ibm.team.workitem.web.client.util;

dojo.declare("com.ibm.team.workitem.web.ui.internal.view.queryeditor.widgets.MessageWidget", [dijit._Widget, dijit._Templated], {
	
	templatePath: dojo.moduleUrl("com.ibm.team.workitem.web", "ui/internal/view/queryeditor/widgets/templates/MessageWidget.html"),

	///////////////////////////////////////////////////////////////////////////////////
	// API
	
	constructor: function(args) {
		this.presentation= args.presentation;
	},
	
	postCreate: function() {
		var properties= Util.buildMap(this.presentation.properties);
		var message= document.createTextNode(properties.message);
		this._message.appendChild(message);
	},
	
	/* String[] */ getValues: function() {
		return [];
	}
	
});
	
})();
