/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.ui.structure.FolderElement"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.ui.structure.GenericElement"); //$NON-NLS-1$

(function() {

var GenericElement					= com.ibm.team.apt.ui.structure.GenericElement;

/**
 * Marker Class for 2.0 M1 in order to scope the rich ui actions
 * @since 1.0
 */
dojo.declare("com.ibm.team.apt.ui.structure.FolderElement", GenericElement, { //$NON-NLS-1$


	constructor: function(id, label, value, options) {
		this.__labelGetter= (options && options.label) || function() { return label; };
	},


	// ---- api ------------------------------------------------------------------------------------------------------------

	getLabel: function() {
		return this.__labelGetter();
	},

	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

})();
